LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XRow Interface Referencepublished

is used to access data which is collected in a row. More...

`import"XRow.idl";`

Inheritance diagram for XRow:

## Public Member Functions
boolean | wasNull () raises (SQLException)
| reports whether the last column read had a value of SQL NULL. More...
string | getString ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a string. More...
boolean | getBoolean ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as boolean. More...
byte | getByte ([in]long columnIndex) raises (SQLException)
| get the value of a column in the current row as a byte. More...
short | getShort ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a short. More...
long | getInt ([in]long columnIndex) raises (SQLException)
| get the value of a column in the current row as an integer. More...
hyper | getLong ([in]long columnIndex) raises (SQLException)
| get the value of a column in the current row as a long. More...
float | getFloat ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a float. More...
double | getDouble ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a double. More...
sequence< byte > | getBytes ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a byte array. More...
com::sun::star::util::Date | getDate ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a date object. More...
com::sun::star::util::Time | getTime ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a time object. More...
com::sun::star::util::DateTime | getTimestamp ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a datetime object. More...
com::sun::star::io::XInputStream | getBinaryStream ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a stream of uninterpreted bytes. More...
com::sun::star::io::XInputStream | getCharacterStream ([in]long columnIndex) raises (SQLException)
| gets the value of a column in the current row as a stream of uninterpreted bytes. More...
any | getObject ([in]long columnIndex, [in]com::sun::star::container::XNameAccess typeMap) raises (SQLException)
| returns the value of a column in the current row as an object. More...
XRef | getRef ([in]long columnIndex) raises (SQLException)
| gets a REF(&lt;structured-type&gt;) column value from the current row. More...
XBlob | getBlob ([in]long columnIndex) raises (SQLException)
| gets a BLOB value in the current row. More...
XClob | getClob ([in]long columnIndex) raises (SQLException)
| gets a CLOB value in the current row of this `ResultSet` object. More...
XArray | getArray ([in]long columnIndex) raises (SQLException)
| gets a SQL ARRAY value from the current row of this `ResultSet` object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used to access data which is collected in a row.

All methods raise a com::sun::star::sdbc::SQLException if a database access error occurs.

Developers Guide
  Database Access - Using the getXXX Methods

## Member Function Documentation

## ◆ getArray()

XArray getArray | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets a SQL ARRAY value from the current row of this `ResultSet` object.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getBinaryStream()

com::sun::star::io::XInputStream getBinaryStream | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets the value of a column in the current row as a stream of uninterpreted bytes.

The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARBINARY values.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. Also, a stream may return 0 when the method com::sun::star::io::XInputStream::available() is called whether there is data available or not.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getBlob()

XBlob getBlob | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets a BLOB value in the current row.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getBoolean()

boolean getBoolean | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets the value of a column in the current row as boolean.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getByte()

byte getByte | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

get the value of a column in the current row as a byte.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getBytes()

sequence< byte > getBytes | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets the value of a column in the current row as a byte array.

The bytes represent the raw values returned by the driver.

Parameters

  columnIndex | the first column is 1, the second is 2, ...

Returns
  the column value; if the value is SQL NULL, the result is empty.

Exceptions

  SQLException | if a database access error occurs.

## ◆ getCharacterStream()

com::sun::star::io::XInputStream getCharacterStream | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets the value of a column in the current row as a stream of uninterpreted bytes.

The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARBINARY or LONGVARCHAR values.

Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. Also, a stream may return 0 when the method com::sun::star::io::XInputStream::available() is called whether there is data available or not.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getClob()

XClob getClob | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets a CLOB value in the current row of this `ResultSet` object.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getDate()

com::sun::star::util::Date getDate | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets the value of a column in the current row as a date object.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getDouble()

double getDouble | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets the value of a column in the current row as a double.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getFloat()

float getFloat | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets the value of a column in the current row as a float.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getInt()

long getInt | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

get the value of a column in the current row as an integer.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getLong()

hyper getLong | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

get the value of a column in the current row as a long.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getObject()

any getObject | ( | [in] long | columnIndex,
|  | [in] com::sun::star::container::XNameAccess | typeMap
| ) |  |
raises | ( | SQLException
| ) |  |

returns the value of a column in the current row as an object.

This method uses the given `Map` object for the custom mapping of the SQL structure or distinct type that is being retrieved.

Parameters

  columnIndex | the first column is 1, the second is 2,
  typeMap | the map of types which should be used to get the column value

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getRef()

XRef getRef | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets a REF(&lt;structured-type&gt;) column value from the current row.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getShort()

short getShort | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets the value of a column in the current row as a short.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getString()

string getString | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets the value of a column in the current row as a string.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getTime()

com::sun::star::util::Time getTime | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets the value of a column in the current row as a time object.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ getTimestamp()

com::sun::star::util::DateTime getTimestamp | ( | [in] long | columnIndex | ) |
raises | ( | SQLException
| ) |  |

gets the value of a column in the current row as a datetime object.

Parameters

  columnIndex | the first column is 1, the second is 2,

Returns
  the column value; if the value is SQL NULL, the result is null

Exceptions

  SQLException | if a database access error occurs.

## ◆ wasNull()

boolean wasNull | ( |  | ) |
raises | ( | SQLException
| ) |  |

reports whether the last column read had a value of SQL NULL.

Note that you must first call getXXX on a column to try to read its value and then call wasNull() to see if the value read was SQL NULL.

Returns
  `TRUE` if last column read was SQL NULL and `FALSE` otherwise

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XRow.idl